Weitere Informationen und den Download findest du auf der offiziellen Anlaufstelle de.wordpress.org
Seite 1 von 3 123 LetzteLetzte
Ergebnis 1 bis 10 von 21
  1. #1
    PostRank: 3
    Registriert seit
    04.11.2008
    Beiträge
    124

    Woocommerce mit REST API 2.0

    Hi Leute,
    ich bin auf der Suche nach einem Beispielplugin das mit der Woocommerce REST API 2.0 auf Woocommerce zugreift und beispielsweise alle Produkte anzeigt, oder etwas ändert.
    Gerade die Authentifizierung mit dem von mir eingerichteten Schlüssel und die Übernahme der Daten ist mir noch nicht wirklich klar und dazu hätte ich gerne eine Beispiel. Leider konnte ich bei meiner Suche nur Beispiele fur alten API 1.0 finden.
    Es scheint sich da aber grundlegendes bei der v2.0 geändert zuhaben.

    Hat da jemand von Euch einen Tip oder sogar ein paar Zeilen "auf Lager"

    LG Andi


  2. #2
    r23
    r23 ist offline
    PostRank: 10
    Registriert seit
    09.12.2006
    Beiträge
    3.494
    Zitat Zitat von andi_t Beitrag anzeigen
    Leider konnte ich bei meiner Suche nur Beispiele fur alten API 1.0 finden.
    beispiele gibt es im handbuch
    http://woocommerce.github.io/woocomm.../#introduction

  3. #3
    PostRank: 3
    Registriert seit
    04.11.2008
    Beiträge
    124
    Danke dafür, aber das hatte ich schon gefunden. Leider komme ich mit den Fragmenten dort nicht klar.
    Ich dachte, dass es evtl. irgendwo ein Plugin gibt, wo jemand soetwas in ein paar Zeilen schon einmal zusammengefasst hat. Die weiteren Funktionen kann ich mir dann selber erstellen, aber ich verstehe momentan noch nicht wie ich damt anzufangen habe

  4. #4
    r23
    r23 ist offline
    PostRank: 10
    Registriert seit
    09.12.2006
    Beiträge
    3.494
    Zitat Zitat von andi_t Beitrag anzeigen
    Danke dafür, aber das hatte ich schon gefunden. Leider komme ich mit den Fragmenten dort nicht klar.
    Ich dachte, dass es evtl. irgendwo ein Plugin gibt, wo jemand soetwas in ein paar Zeilen schon einmal zusammengefasst hat.
    so etwas?
    https://github.com/kloon/WooCommerce...Client-Library

    pp etwas besser
    https://github.com/pixelpeter/larave...rce-api-client

    pp from Automattic
    https://github.com/woocommerce/wc-api-php
    Geändert von r23 (25.05.2017 um 13:10 Uhr)

  5. #5
    PostRank: 3
    Registriert seit
    04.11.2008
    Beiträge
    124
    Oh, danke. Die Links scheinen das zu beinhaltet was ich suche.
    Ich bin jetzt leider auf der Arbeit, aber heute nacht ist ja auch noch Zeit.
    Dann schaue ich mir das mal näher an.


  6. #6
    PostRank: 3
    Registriert seit
    04.11.2008
    Beiträge
    124
    Leider verweisen diese Links auf eine alte Version. Aber nach einigem Suchen habe ich nun im github was passendes gefunden.
    https://github.com/dominykasgel/wooc...mport-products

    Aber ich muss da irgendetwas mit einem Composer machen.

    Kann mir mal bitte jemand erklären was das ist und wie ich das auf einem Windows-PC und Webspace ohne Konsolenzugriff benutzen kann?
    Mein Problem sind diese drei Zeilen:
    PHP-Code:
    require __DIR__ '/vendor/autoload.php';

    use 
    Automattic\WooCommerce\Client;
    use 
    Automattic\WooCommerce\HttpClient\HttpClientException
    der ganze Rest sieht klasse aus.
    Geändert von andi_t (26.05.2017 um 12:52 Uhr)

  7. #7
    PostRank: 3
    Registriert seit
    04.11.2008
    Beiträge
    124
    ... scheinbar muss ich diesen Composer dann auf dem Webspace installieren. Kann ich das irgendwie umgehen?
    Am liebsten würde ich mir nur die entsprechenden Dateien herunterladen und die in mein Pluginverzeichnis kopieren.
    Aber ich weiß nicht, wie ich an die entsprechenden Dateien herankomme
    Kann mir da bitte jemand helfen?

  8. #8
    r23
    r23 ist offline
    PostRank: 10
    Registriert seit
    09.12.2006
    Beiträge
    3.494
    Zitat Zitat von andi_t Beitrag anzeigen
    Leider verweisen diese Links auf eine alte Version.
    hüst...

    Dies ist das Original vom Hersteller => https://github.com/woocommerce/wc-api-php sogar mit Handbuch.

    und mit composer require pixelpeter/laravel5-woocommerce-api-client ^2.0 kann man sich eben
    https://github.com/pixelpeter/larave...rce-api-client

    installieren.


    Anleitung für Composer
    https://php-de.github.io/jumpto/composer/

  9. #9
    PostRank: 3
    Registriert seit
    04.11.2008
    Beiträge
    124
    Zitat Zitat von r23 Beitrag anzeigen
    hüst...

    Dies ist das Original vom Hersteller => https://github.com/woocommerce/wc-api-php sogar mit Handbuch.
    ja, und trotzdem ist es für die veraltete Version Woocommerce 2.6. Ich nutze WC 3.0 und da gibt es eine neue Version der API.

    Zitat Zitat von r23 Beitrag anzeigen
    mir wäre es lieber wenn ich auf diesen Composer verzichten könnte, da ich es unglücklich finde nur für diesen Zweck das Programm versuchen zu installieren und auch Probleme haben werde wenn ich das Plugin dann auf einem anderen Webspace installiere.
    Ich möchte das Ganze gerne als abgeschlossene Version haben.
    Kann ich das nicht irgendwie einfach umwandeln?

  10. #10
    r23
    r23 ist offline
    PostRank: 10
    Registriert seit
    09.12.2006
    Beiträge
    3.494
    Zitat Zitat von andi_t Beitrag anzeigen
    ja, und trotzdem ist es für die veraltete Version Woocommerce 2.6. Ich nutze WC 3.0 und da gibt es eine neue Version der API.
    grummel. Es wird ab Version Woocommerce 2.6 supportet es steht ausdrück or later die API version, default is v3 du hast optional die Möglichkeit die Version 2 oder im Beispiel Code die Version 1 einzuschalten.

    http://woocommerce.github.io/woocommerce-rest-api-docs/

Seite 1 von 3 123 LetzteLetzte

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •